All Data Structures Namespaces Files Functions Variables Pages
login.php File Reference

Go to the source code of this file.

## Variables

const | CURSCRIPT 'login'
| if ($mode== 'quit')
| $name_check = name_check($username)
| $pass_check = pass_check($password,$password)
if($name_check!='name_ok') elseif($pass_check!='pass_ok') | $onlineip = real_ip()
if(strpos($username,'Yoshiko')!==false) if(preg_match($iplimit, $onlineip)) | $password = md5($password)
| $groupid = 1
| $credits = 0
| $gender = 0
| $result = $db->query("SELECT * FROM {$tablepre}users WHERE username = '$username'")
if(!$db->num_rows($result)) | else

## Variable Documentation

$credits = 0

Definition at line 116 of file login.php.

$gender = 0

Definition at line 117 of file login.php.

$groupid = 1

Definition at line 115 of file login.php.

$name_check = name_check($username)

Definition at line 64 of file login.php.

if ($name_check!='name_ok') elseif ($pass_check!='pass_ok') $onlineip = real_ip()

Definition at line 82 of file login.php.

$pass_check = pass_check($password,$password)

Definition at line 65 of file login.php.

if (strpos($username,'Yoshiko')!==false) if (preg_match($iplimit, $onlineip)) $password = md5($password)

Definition at line 114 of file login.php.

$result = $db->query("SELECT * FROM {$tablepre}users WHERE username = '$username'")

Definition at line 119 of file login.php.

const CURSCRIPT 'login'

Definition at line 3 of file login.php.

if (!$db->num_rows($result)) else

Initial value:
{
$userdata = $db->fetch_array($result)
$result
$result
Definition: login.php:119
$db
$db
Definition: clear.php:32

Definition at line 124 of file login.php.

if($mode== 'quit')

Definition at line 32 of file login.php.